diff --git a/_ide_helper.php b/_ide_helper.php
index 9a3bc91..e29078a 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -12443,7 +13212,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function resourceParameters($parameters = array())
         {
-            \Illuminate\Routing\Router::resourceParameters($parameters);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->resourceParameters($parameters);
         }
         
         /**
@@ -12455,7 +13225,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function resourceVerbs($verbs = array())
         {
-            return \Illuminate\Routing\Router::resourceVerbs($verbs);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->resourceVerbs($verbs);
         }
         
         /**
@@ -12466,7 +13237,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getRoutes()
         {
-            return \Illuminate\Routing\Router::getRoutes();
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->getRoutes();
         }
         
         /**
@@ -12478,7 +13250,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setRoutes($routes)
         {
-            \Illuminate\Routing\Router::setRoutes($routes);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->setRoutes($routes);
         }
         
         /**
@@ -12491,20 +13264,21 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function macro($name, $macro)
         {
-            \Illuminate\Routing\Router::macro($name, $macro);
+                        \Illuminate\Routing\Router::macro($name, $macro);
         }
         
         /**
          * Mix another object into the class.
          *
          * @param object $mixin
+         * @param bool $replace
          * @return void 
          * @throws \ReflectionException
          * @static 
          */ 
-        public static function mixin($mixin)
+        public static function mixin($mixin, $replace = true)
         {
-            \Illuminate\Routing\Router::mixin($mixin);
+                        \Illuminate\Routing\Router::mixin($mixin, $replace);
         }
         
         /**
@@ -12516,7 +13290,7 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasMacro($name)
         {
-            return \Illuminate\Routing\Router::hasMacro($name);
+                        return \Illuminate\Routing\Router::hasMacro($name);
         }
         
         /**
@@ -12530,7 +13304,18 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function macroCall($method, $parameters)
         {
-            return \Illuminate\Routing\Router::macroCall($method, $parameters);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->macroCall($method, $parameters);
+        }
+        
+        /**
+         * 
+         *
+         * @static 
+         */ 
+        public static function impersonate()
+        {
+                        return \Illuminate\Routing\Router::impersonate();
         }
          
     }
@@ -12538,11 +13323,6 @@ namespace Illuminate\Support\Facades {
     /**
      * 
      *
-     * @method static \Illuminate\Database\Schema\Builder create(string $table, \Closure $callback)
-     * @method static \Illuminate\Database\Schema\Builder drop(string $table)
-     * @method static \Illuminate\Database\Schema\Builder dropIfExists(string $table)
-     * @method static \Illuminate\Database\Schema\Builder table(string $table, \Closure $callback)
-     * @method static void defaultStringLength(int $length)
      * @see \Illuminate\Database\Schema\Builder
      */ 
     class Schema {
@@ -12556,7 +13336,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasTable($table)
         {
-            return \Illuminate\Database\Schema\MySqlBuilder::hasTable($table);
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        return $instance->hasTable($table);
         }
         
         /**
@@ -12568,7 +13349,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getColumnListing($table)
         {
-            return \Illuminate\Database\Schema\MySqlBuilder::getColumnListing($table);
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        return $instance->getColumnListing($table);
         }
         
         /**
@@ -12579,7 +13361,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function dropAllTables()
         {
-            \Illuminate\Database\Schema\MySqlBuilder::dropAllTables();
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        $instance->dropAllTables();
         }
         
         /**
@@ -12590,7 +13373,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function dropAllViews()
         {
-            \Illuminate\Database\Schema\MySqlBuilder::dropAllViews();
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        $instance->dropAllViews();
         }
         
         /**
@@ -12603,7 +13387,7 @@ namespace Illuminate\Support\Facades {
         public static function defaultStringLength($length)
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            \Illuminate\Database\Schema\MySqlBuilder::defaultStringLength($length);
+                        \Illuminate\Database\Schema\MySqlBuilder::defaultStringLength($length);
         }
         
         /**
@@ -12617,7 +13401,8 @@ namespace Illuminate\Support\Facades {
         public static function hasColumn($table, $column)
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            return \Illuminate\Database\Schema\MySqlBuilder::hasColumn($table, $column);
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        return $instance->hasColumn($table, $column);
         }
         
         /**
@@ -12631,7 +13416,8 @@ namespace Illuminate\Support\Facades {
         public static function hasColumns($table, $columns)
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            return \Illuminate\Database\Schema\MySqlBuilder::hasColumns($table, $columns);
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        return $instance->hasColumns($table, $columns);
         }
         
         /**
@@ -12645,7 +13431,8 @@ namespace Illuminate\Support\Facades {
         public static function getColumnType($table, $column)
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            return \Illuminate\Database\Schema\MySqlBuilder::getColumnType($table, $column);
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        return $instance->getColumnType($table, $column);
         }
         
         /**
@@ -12659,7 +13446,8 @@ namespace Illuminate\Support\Facades {
         public static function table($table, $callback)
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            \Illuminate\Database\Schema\MySqlBuilder::table($table, $callback);
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        $instance->table($table, $callback);
         }
         
         /**
@@ -12673,7 +13461,8 @@ namespace Illuminate\Support\Facades {
         public static function create($table, $callback)
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            \Illuminate\Database\Schema\MySqlBuilder::create($table, $callback);
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        $instance->create($table, $callback);
         }
         
         /**
@@ -12686,7 +13475,8 @@ namespace Illuminate\Support\Facades {
         public static function drop($table)
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            \Illuminate\Database\Schema\MySqlBuilder::drop($table);
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        $instance->drop($table);
         }
         
         /**
@@ -12699,7 +13489,8 @@ namespace Illuminate\Support\Facades {
         public static function dropIfExists($table)
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            \Illuminate\Database\Schema\MySqlBuilder::dropIfExists($table);
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        $instance->dropIfExists($table);
         }
         
         /**
@@ -12713,7 +13504,8 @@ namespace Illuminate\Support\Facades {
         public static function rename($from, $to)
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            \Illuminate\Database\Schema\MySqlBuilder::rename($from, $to);
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        $instance->rename($from, $to);
         }
         
         /**
@@ -12725,7 +13517,8 @@ namespace Illuminate\Support\Facades {
         public static function enableForeignKeyConstraints()
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            return \Illuminate\Database\Schema\MySqlBuilder::enableForeignKeyConstraints();
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        return $instance->enableForeignKeyConstraints();
         }
         
         /**
@@ -12737,7 +13530,8 @@ namespace Illuminate\Support\Facades {
         public static function disableForeignKeyConstraints()
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            return \Illuminate\Database\Schema\MySqlBuilder::disableForeignKeyConstraints();
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        return $instance->disableForeignKeyConstraints();
         }
         
         /**
@@ -12749,20 +13543,22 @@ namespace Illuminate\Support\Facades {
         public static function getConnection()
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            return \Illuminate\Database\Schema\MySqlBuilder::getConnection();
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        return $instance->getConnection();
         }
         
         /**
          * Set the database connection instance.
          *
          * @param \Illuminate\Database\Connection $connection
-         * @return $this 
+         * @return \Illuminate\Database\Schema\MySqlBuilder 
          * @static 
          */ 
         public static function setConnection($connection)
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            return \Illuminate\Database\Schema\MySqlBuilder::setConnection($connection);
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        return $instance->setConnection($connection);
         }
         
         /**
@@ -12775,7 +13571,8 @@ namespace Illuminate\Support\Facades {
         public static function blueprintResolver($resolver)
         {
             //Method inherited from \Illuminate\Database\Schema\Builder            
-            \Illuminate\Database\Schema\MySqlBuilder::blueprintResolver($resolver);
+                        /** @var \Illuminate\Database\Schema\MySqlBuilder $instance */
+                        $instance->blueprintResolver($resolver);
         }
          
     }
@@ -12783,27 +13580,6 @@ namespace Illuminate\Support\Facades {
     /**
      * 
      *
-     * @method static string getName()
-     * @method static string getId()
-     * @method static void setId(string $id)
-     * @method static bool start()
-     * @method static bool save()
-     * @method static array all()
-     * @method static bool exists(string|array $key)
-     * @method static bool has(string|array $key)
-     * @method static mixed get(string $key, $default = null)
-     * @method static void put(string|array $key, $value = null)
-     * @method static string token()
-     * @method static mixed remove(string $key)
-     * @method static void forget(string|array $keys)
-     * @method static void flush()
-     * @method static bool migrate(bool $destroy = false)
-     * @method static bool isStarted()
-     * @method static string|null previousUrl()
-     * @method static void setPreviousUrl(string $url)
-     * @method static \SessionHandlerInterface getHandler()
-     * @method static bool handlerNeedsRequest()
-     * @method static void setRequestOnHandler(\Illuminate\Http\Request $request)
      * @see \Illuminate\Session\SessionManager
      * @see \Illuminate\Session\Store
      */ 
@@ -12817,7 +13593,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getSessionConfig()
         {
-            return \Illuminate\Session\SessionManager::getSessionConfig();
+                        /** @var \Illuminate\Session\SessionManager $instance */
+                        return $instance->getSessionConfig();
         }
         
         /**
@@ -12828,7 +13605,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getDefaultDriver()
         {
-            return \Illuminate\Session\SessionManager::getDefaultDriver();
+                        /** @var \Illuminate\Session\SessionManager $instance */
+                        return $instance->getDefaultDriver();
         }
         
         /**
@@ -12840,7 +13618,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setDefaultDriver($name)
         {
-            \Illuminate\Session\SessionManager::setDefaultDriver($name);
+                        /** @var \Illuminate\Session\SessionManager $instance */
+                        $instance->setDefaultDriver($name);
         }
         
         /**
@@ -12854,7 +13633,8 @@ namespace Illuminate\Support\Facades {
         public static function driver($driver = null)
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \Illuminate\Session\SessionManager::driver($driver);
+                        /** @var \Illuminate\Session\SessionManager $instance */
+                        return $instance->driver($driver);
         }
         
         /**
@@ -12862,13 +13642,14 @@ namespace Illuminate\Support\Facades {
          *
          * @param string $driver
          * @param \Closure $callback
-         * @return $this 
+         * @return \Illuminate\Session\SessionManager 
          * @static 
          */ 
         public static function extend($driver, $callback)
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \Illuminate\Session\SessionManager::extend($driver, $callback);
+                        /** @var \Illuminate\Session\SessionManager $instance */
+                        return $instance->extend($driver, $callback);
         }
         
         /**
@@ -12880,7 +13661,8 @@ namespace Illuminate\Support\Facades {
         public static function getDrivers()
         {
             //Method inherited from \Illuminate\Support\Manager            
-            return \Illuminate\Session\SessionManager::getDrivers();
+                        /** @var \Illuminate\Session\SessionManager $instance */
+                        return $instance->getDrivers();
         }
         
         /**
@@ -12891,7 +13673,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function start()
         {
-            return \Illuminate\Session\Store::start();
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->start();
         }
         
         /**
@@ -12902,7 +13685,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function save()
         {
-            return \Illuminate\Session\Store::save();
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->save();
         }
         
         /**
@@ -12913,7 +13697,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function ageFlashData()
         {
-            \Illuminate\Session\Store::ageFlashData();
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->ageFlashData();
         }
         
         /**
@@ -12924,7 +13709,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function all()
         {
-            return \Illuminate\Session\Store::all();
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->all();
         }
         
         /**
@@ -12936,7 +13722,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function exists($key)
         {
-            return \Illuminate\Session\Store::exists($key);
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->exists($key);
         }
         
         /**
@@ -12948,7 +13735,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function has($key)
         {
-            return \Illuminate\Session\Store::has($key);
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->has($key);
         }
         
         /**
@@ -12961,7 +13749,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function get($key, $default = null)
         {
-            return \Illuminate\Session\Store::get($key, $default);
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->get($key, $default);
         }
         
         /**
@@ -12974,7 +13763,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function pull($key, $default = null)
         {
-            return \Illuminate\Session\Store::pull($key, $default);
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->pull($key, $default);
         }
         
         /**
@@ -12986,7 +13776,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasOldInput($key = null)
         {
-            return \Illuminate\Session\Store::hasOldInput($key);
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->hasOldInput($key);
         }
         
         /**
@@ -12999,7 +13790,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getOldInput($key = null, $default = null)
         {
-            return \Illuminate\Session\Store::getOldInput($key, $default);
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->getOldInput($key, $default);
         }
         
         /**
@@ -13011,7 +13803,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function replace($attributes)
         {
-            \Illuminate\Session\Store::replace($attributes);
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->replace($attributes);
         }
         
         /**
@@ -13024,7 +13817,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function put($key, $value = null)
         {
-            \Illuminate\Session\Store::put($key, $value);
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->put($key, $value);
         }
         
         /**
@@ -13037,7 +13831,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function remember($key, $callback)
         {
-            return \Illuminate\Session\Store::remember($key, $callback);
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->remember($key, $callback);
         }
         
         /**
@@ -13050,7 +13845,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function push($key, $value)
         {
-            \Illuminate\Session\Store::push($key, $value);
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->push($key, $value);
         }
         
         /**
@@ -13063,7 +13859,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function increment($key, $amount = 1)
         {
-            return \Illuminate\Session\Store::increment($key, $amount);
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->increment($key, $amount);
         }
         
         /**
@@ -13076,7 +13873,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function decrement($key, $amount = 1)
         {
-            return \Illuminate\Session\Store::decrement($key, $amount);
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->decrement($key, $amount);
         }
         
         /**
@@ -13089,7 +13887,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function flash($key, $value = true)
         {
-            \Illuminate\Session\Store::flash($key, $value);
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->flash($key, $value);
         }
         
         /**
@@ -13102,7 +13901,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function now($key, $value)
         {
-            \Illuminate\Session\Store::now($key, $value);
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->now($key, $value);
         }
         
         /**
@@ -13113,7 +13913,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function reflash()
         {
-            \Illuminate\Session\Store::reflash();
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->reflash();
         }
         
         /**
@@ -13125,7 +13926,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function keep($keys = null)
         {
-            \Illuminate\Session\Store::keep($keys);
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->keep($keys);
         }
         
         /**
@@ -13137,7 +13939,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function flashInput($value)
         {
-            \Illuminate\Session\Store::flashInput($value);
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->flashInput($value);
         }
         
         /**
@@ -13149,7 +13952,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function remove($key)
         {
-            return \Illuminate\Session\Store::remove($key);
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->remove($key);
         }
         
         /**
@@ -13161,7 +13965,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function forget($keys)
         {
-            \Illuminate\Session\Store::forget($keys);
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->forget($keys);
         }
         
         /**
@@ -13172,7 +13977,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function flush()
         {
-            \Illuminate\Session\Store::flush();
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->flush();
         }
         
         /**
@@ -13183,7 +13989,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function invalidate()
         {
-            return \Illuminate\Session\Store::invalidate();
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->invalidate();
         }
         
         /**
@@ -13195,7 +14002,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function regenerate($destroy = false)
         {
-            return \Illuminate\Session\Store::regenerate($destroy);
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->regenerate($destroy);
         }
         
         /**
@@ -13207,7 +14015,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function migrate($destroy = false)
         {
-            return \Illuminate\Session\Store::migrate($destroy);
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->migrate($destroy);
         }
         
         /**
@@ -13218,7 +14027,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function isStarted()
         {
-            return \Illuminate\Session\Store::isStarted();
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->isStarted();
         }
         
         /**
@@ -13229,7 +14039,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getName()
         {
-            return \Illuminate\Session\Store::getName();
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->getName();
         }
         
         /**
@@ -13241,7 +14052,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setName($name)
         {
-            \Illuminate\Session\Store::setName($name);
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->setName($name);
         }
         
         /**
@@ -13252,7 +14064,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getId()
         {
-            return \Illuminate\Session\Store::getId();
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->getId();
         }
         
         /**
@@ -13264,7 +14077,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setId($id)
         {
-            \Illuminate\Session\Store::setId($id);
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->setId($id);
         }
         
         /**
@@ -13276,7 +14090,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function isValidId($id)
         {
-            return \Illuminate\Session\Store::isValidId($id);
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->isValidId($id);
         }
         
         /**
@@ -13288,7 +14103,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setExists($value)
         {
-            \Illuminate\Session\Store::setExists($value);
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->setExists($value);
         }
         
         /**
@@ -13299,7 +14115,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function token()
         {
-            return \Illuminate\Session\Store::token();
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->token();
         }
         
         /**
@@ -13310,7 +14127,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function regenerateToken()
         {
-            \Illuminate\Session\Store::regenerateToken();
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->regenerateToken();
         }
         
         /**
@@ -13321,7 +14139,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function previousUrl()
         {
-            return \Illuminate\Session\Store::previousUrl();
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->previousUrl();
         }
         
         /**
@@ -13333,7 +14152,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setPreviousUrl($url)
         {
-            \Illuminate\Session\Store::setPreviousUrl($url);
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->setPreviousUrl($url);
         }
         
         /**
@@ -13344,7 +14164,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getHandler()
         {
-            return \Illuminate\Session\Store::getHandler();
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->getHandler();
         }
         
         /**
@@ -13355,7 +14176,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function handlerNeedsRequest()
         {
-            return \Illuminate\Session\Store::handlerNeedsRequest();
+                        /** @var \Illuminate\Session\Store $instance */
+                        return $instance->handlerNeedsRequest();
         }
         
         /**
@@ -13367,7 +14189,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setRequestOnHandler($request)
         {
-            \Illuminate\Session\Store::setRequestOnHandler($request);
+                        /** @var \Illuminate\Session\Store $instance */
+                        $instance->setRequestOnHandler($request);
         }
          
     }
@@ -13375,7 +14198,6 @@ namespace Illuminate\Support\Facades {
     /**
      * 
      *
-     * @method static \Illuminate\Contracts\Filesystem\Filesystem disk(string $name = null)
      * @see \Illuminate\Filesystem\FilesystemManager
      */ 
     class Storage {
